Package ch.qos.logback.classic.spi

# Class StackTraceElementProxy

java.lang.Object
ch.qos.logback.classic.spi.StackTraceElementProxy

All Implemented Interfaces:
  `Serializable`

public class StackTraceElementProxy extends Object implements Serializable

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`StackTraceElementProxy(StackTraceElement ste)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`ClassPackagingData`
`getClassPackagingData()`
`StackTraceElement`
`getStackTraceElement()`
`String`
`getSTEAsString()`
`int`
`hashCode()`
`void`
`setClassPackagingData(ClassPackagingData cpd)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StackTraceElementProxy

public StackTraceElementProxy(StackTraceElement ste)

## Method Details

### getSTEAsString

public String getSTEAsString()

### getStackTraceElement

public StackTraceElement getStackTraceElement()

### setClassPackagingData

public void setClassPackagingData(ClassPackagingData cpd)

### getClassPackagingData

public ClassPackagingData getClassPackagingData()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`